Debian: Can't locate LWP/UserAgent.pm in @INC

root's picture

I got this message today while trying to run sa-update command:

venus:/var/qmail/bin# sa-update
Can't locate LWP/UserAgent.pm in @INC (@INC contains: /usr/local/share/perl/5.10.0 /etc/perl /usr/local/lib/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl) at /usr/local/bin/sa-update line 79.
BEGIN failed--compilation aborted at /usr/local/bin/sa-update line 79.

The solution is to install the package libwww-perl.

Thou shalt not steal!

If you want to use this information on your own website, please remember: by doing copy/paste entirely it is always stealing and you should be ashamed of yourself! Have at least the decency to create your own text and comments and run the commands on your own servers and provide your output, not what I did!

Or at least link back to this website.

Recent content